Subject: [Sipping] Re: [Sip] ABNF for Content-Disposition

From: "Dale R. Worley" <[email-masked]>
Date: Thu, 20 Oct 2005 14:44:35 -0400

On Tue, 2005-10-11 at 16:25 -0500, Dean Willis wrote:
> On Oct 11, 2005, at 1:13 AM, Joël Repiquet wrote:
> 
> > RFC 3959 defines 'early-session' as a new disposition type value  
> > for the
> > Content-Disposition header field and registers it at the IANA:
> >  http://www.iana.org/assignments/mail-cont-disp
> >
> > Why the 'disp-type' ABNF rule, defined in RFC3261:
> >  disp-type = "render" / "session" / "icon" / "alert" /
> >               disp-extension-token
> >
> > is not modified accordingly in this RFC?
> >
> > Note that the same occurs with RFC3893 that defines the 'aib' value...
> >
> > Is it correct to define the current disp-type rule as:
> >  disp-type = "render" / "session" / "icon" / "alert" /
> >              "early-session" / "aib" / disp-extension-token
> 
> My take is that since disp-extension-token effectively includes the  
> set of disposition-type values registered with IANA that your more  
> detailed grammar is syntactically equivalent.
> 
> That's why not every SIP extension requires us to replace the grammar  
> used in RFC 3261.

In more detail, the point is that the grammar in RFC 3261 generates all
variants that will *ever* be allowed, so that one can make a future-
proof parser.  As a consequence, introducing new variants does not
require updating the BNF in RFC 3261.

Dale

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sun, 30 Oct 2005 13:06:06 +0200

Dale,

yes, your statement is correct. The important thing is that new 
extensions register new tokens with the IANA.

Cheers,

Gonzalo